//#####################################################################
// Copyright 2022, Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Core/Symbolics/SYMBOLIC_TRIVIAL.h>
#include <Core/Log/DEBUG_UTILITIES.h>
namespace PhysBAM{
static void warn()
{
    PHYSBAM_WARNING("using SYMBOLIC_TRIVIAL; use Register_Symbolic() to change.");
}
void SYMBOLIC_TRIVIAL::Set(double x){}
void SYMBOLIC_TRIVIAL::Print(double x,std::ostream& o) const{o<<x;}
SYMBOLIC_BASE* SYMBOLIC_TRIVIAL::Clone() const{return new SYMBOLIC_TRIVIAL;}
void SYMBOLIC_TRIVIAL::Unary(double x,const SYMBOLIC& a,type_1 op)
{
    warn();
}
void SYMBOLIC_TRIVIAL::Binary(double x,const SYMBOLIC& a,const SYMBOLIC& b,type_2 op)
{
    warn();
}
}
